org.apache.fop.render.pdf.pdfbox

## Class StructureTreeMerger

- java.lang.Object
- - org.apache.fop.render.pdf.pdfbox.StructureTreeMerger

-     public class StructureTreeMerger
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructureTreeMerger(org.apache.fop.pdf.PDFStructElem currentSessionElem, org.apache.fop.render.pdf.PDFLogicalStructureHandler logicalStructHandler, PDFBoxAdapter adapter, org.apache.pdfbox.pdmodel.PDPage srcPage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToPageParentTreeArray()`
    `void` | `copyStructure(org.apache.pdfbox.cos.COSArray pageParentTreeArray)`
    `void` | `createDirectDescendants(org.apache.pdfbox.cos.COSBase base, org.apache.fop.pdf.PDFStructElem parent)`
    `org.apache.fop.pdf.PDFStructElem` | `getCurrentSessionElem()`
    `void` | `setCurrentSessionElem()`
    `void` | `setCurrentSessionElemKid()`
    `void` | `setRoleMap(org.apache.pdfbox.cos.COSDictionary roleMap)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StructureTreeMerger

          public StructureTreeMerger(org.apache.fop.pdf.PDFStructElem currentSessionElem,
                                     org.apache.fop.render.pdf.PDFLogicalStructureHandler logicalStructHandler,
                                     PDFBoxAdapter adapter,
                                     org.apache.pdfbox.pdmodel.PDPage srcPage)

  - ### Method Detail

    - #### setRoleMap

          public void setRoleMap(org.apache.pdfbox.cos.COSDictionary roleMap)

    - #### copyStructure

          public void copyStructure(org.apache.pdfbox.cos.COSArray pageParentTreeArray)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### createDirectDescendants

          public void createDirectDescendants(org.apache.pdfbox.cos.COSBase base,
                                              org.apache.fop.pdf.PDFStructElem parent)
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getCurrentSessionElem

          public org.apache.fop.pdf.PDFStructElem getCurrentSessionElem()

    - #### setCurrentSessionElem

          public void setCurrentSessionElem()

    - #### addToPageParentTreeArray

          public void addToPageParentTreeArray()

    - #### setCurrentSessionElemKid

          public void setCurrentSessionElemKid()

Copyright 2007-2025 The Apache Software Foundation. All Rights Reserved.